diff libgo/godeps.sh @ 111:04ced10e8804

gcc 7
author kono
date Fri, 27 Oct 2017 22:46:09 +0900
parents
children 84e7813d76e9
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/libgo/godeps.sh	Fri Oct 27 22:46:09 2017 +0900
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Copyright 2011 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+# The godeps.sh script outputs a dependency file for a package.  The
+# dependency file is then included in the libgo Makefile.  This is
+# automatic dependency generation, Go style.
+
+# The first parameter is the name of the file being generated.  The
+# remaining parameters are the names of Go files which are scanned for
+# imports.
+
+set -e
+
+if test $# = 0; then
+    echo 1>&2 "Usage: godeps.sh OUTPUT INPUTS..."
+    exit 1
+fi
+
+output=$1
+shift
+
+files=$*
+deps=`for f in $files; do cat $f; done | 
+  sed -n -e '/^import.*"/p; /^import[ 	]*(/,/^)/p' |
+  sed -e 's/^import //' |
+  grep '^[ 	]*"' |
+  grep -v '"unsafe"' |
+  sed -e 's/^.*"\([^"]*\)".*$/\1/' -e 's/$/.gox/' |
+  sort -u`
+
+echo $output: $files $deps